org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.shaded

## Class ShadedKryoAdapter

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.shaded.ShadedKryoAdapter

- All Implemented Interfaces:
    KryoShim<ShadedInputAdapter,ShadedOutputAdapter>

      public class ShadedKryoAdapter
      extends Object
      implements KryoShim<ShadedInputAdapter,ShadedOutputAdapter>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShadedKryoAdapter(org.apache.tinkerpop.shaded.kryo.Kryo shadedKryo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `readClassAndObject(ShadedInputAdapter input)`
    `<T> T` | `readObject(ShadedInputAdapter input, Class<T> type)`
    `<T> T` | `readObjectOrNull(ShadedInputAdapter input, Class<T> type)`
    `void` | `writeClassAndObject(ShadedOutputAdapter output, Object object)`
    `void` | `writeObject(ShadedOutputAdapter output, Object object)`
    `void` | `writeObjectOrNull(ShadedOutputAdapter output, Object object, Class type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadedKryoAdapter

          public ShadedKryoAdapter(org.apache.tinkerpop.shaded.kryo.Kryo shadedKryo)

  - ### Method Detail

    - #### readObject

          public <T> T readObject(ShadedInputAdapter input,
                                  Class<T> type)

      Specified by:
        `readObject` in interface `KryoShim<ShadedInputAdapter,ShadedOutputAdapter>`

    - #### readClassAndObject

          public Object readClassAndObject(ShadedInputAdapter input)

      Specified by:
        `readClassAndObject` in interface `KryoShim<ShadedInputAdapter,ShadedOutputAdapter>`

    - #### writeObject

          public void writeObject(ShadedOutputAdapter output,
                                  Object object)

      Specified by:
        `writeObject` in interface `KryoShim<ShadedInputAdapter,ShadedOutputAdapter>`

    - #### writeClassAndObject

          public void writeClassAndObject(ShadedOutputAdapter output,
                                          Object object)

      Specified by:
        `writeClassAndObject` in interface `KryoShim<ShadedInputAdapter,ShadedOutputAdapter>`

    - #### readObjectOrNull

          public <T> T readObjectOrNull(ShadedInputAdapter input,
                                        Class<T> type)

      Specified by:
        `readObjectOrNull` in interface `KryoShim<ShadedInputAdapter,ShadedOutputAdapter>`

    - #### writeObjectOrNull

          public void writeObjectOrNull(ShadedOutputAdapter output,
                                        Object object,
                                        Class type)

      Specified by:
        `writeObjectOrNull` in interface `KryoShim<ShadedInputAdapter,ShadedOutputAdapter>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.